%define		plugin	check_ipmi
Summary:	Nagios plugin to check IPMI status
Name:		nagios-plugin-%{plugin}
Version:	1.15
Release:	2
License:	GPL v2
Group:		Networking
Source0:	%{plugin}.sh
Source1:	%{plugin}.cfg
Source2:	README
BuildRequires:	rpmbuild(macros) >= 1.685
Requires:	grep
Requires:	ipmi-init
Requires:	ipmitool
Requires:	nagios-common >= 3.2.3-3
Requires:	nagios-plugins-libs
Requires:	sed >= 4.0
Requires:	sudo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		nrpeddir	/etc/nagios/nrpe.d
%define		plugindir	%{_prefix}/lib/nagios/plugins
%define		cachedir	/var/spool/nagios
%define		cachefile	%{cachedir}/%{plugin}.sdr

%description
Nagios plugin to check IPMI status.

%prep
%setup -qcT
cp -p %{SOURCE0} %{plugin}
cp -p %{SOURCE2} .

ver=$(awk -F= '/^VERSION=/{print $2}' %{plugin})
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{nrpeddir},%{plugindir},%{cachedir}}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
sed -e 's,@plugindir@,%{plugindir},' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg
touch $RPM_BUILD_ROOT%{cachefile}
touch $RPM_BUILD_ROOT%{nrpeddir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
	# setup sudo rules on first install
	%{plugindir}/%{plugin} -S %{cachefile} || :
fi

%postun
if [ "$1" = 0 ]; then
	# remove all sudo rules related to us
	%{__sed} -i -e '/CHECK_IPMI/d' /etc/sudoers
fi

%triggerin -- nagios-nrpe
%nagios_nrpe -a %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%triggerun -- nagios-nrpe
%nagios_nrpe -d %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%ghost %{nrpeddir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%ghost %{cachefile}
%changelog
* Tue Jan 28 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_ipmi.git;a=log;h=master

* Tue Jan 28 2014 Elan Ruusamäe <glen@delfi.ee> 5c51936
- hook into nrpe.d

* Tue Jan 28 2014 Elan Ruusamäe <glen@delfi.ee> bab22cb
- fix cvs to git migration issues

* Tue Jan 28 2014 Elan Ruusamäe <glen@delfi.ee> 7b2b472
- rename plugin to .sh ext

* Thu Mar 15 2012 Elan Ruusamäe <glen@pld-linux.org> a3abdab
- v1.15: add verbose output support

* Thu Mar 15 2012 Elan Ruusamäe <glen@pld-linux.org> 69b02cb
- add verbose output support

* Wed Mar 09 2011 Elan Ruusamäe <glen@pld-linux.org> c5ac5ca
- improve ipmi check, chassis status exited with 0 if /dev/ipmi0 existed but pointed to wrong device (like gdth driver)
- LC_ALL=C to avoid localized output side effects
- version 1.14

* Thu Feb 03 2011 Elan Ruusamäe <glen@pld-linux.org> 5cfe9e0
- requires ipmi-init on boot

* Fri Jan 21 2011 Elan Ruusamäe <glen@pld-linux.org> 9a2a9c6
- one more debug off, damn it

* Fri Jan 14 2011 Elan Ruusamäe <glen@pld-linux.org> 7c05c58
- debug off

* Fri Jan 14 2011 Elan Ruusamäe <glen@pld-linux.org> 3e328e9
- 1.11

* Fri Jan 14 2011 Elan Ruusamäe <glen@pld-linux.org> 6280e69
- add -I option to allow ignoring by status

* Thu Jan 13 2011 Elan Ruusamäe <glen@pld-linux.org> 08430ea
- add README

* Thu Jan 13 2011 Elan Ruusamäe <glen@pld-linux.org> 56cf9bb
- requires grep

* Thu Jan 13 2011 Elan Ruusamäe <glen@pld-linux.org> 280f8c0
- add support to ignore sensors by grep extended regexp
- count non-critical sensors as warning
- nc ignore reverted

* Wed Jan 12 2011 Elan Ruusamäe <glen@pld-linux.org> 943ec59
- skip "nc" (Non-Critical)

* Mon Jan 03 2011 Elan Ruusamäe <glen@pld-linux.org> 2832cda
- when ipmi modules get unloaded the sdr cache reports all sensors "ns", detect
  error when no sensors are ok.

* Sun Dec 12 2010 Elan Ruusamäe <glen@pld-linux.org> a37639b
- typo

* Fri Dec 10 2010 Elan Ruusamäe <glen@pld-linux.org> abb065a
- some automation improvements

* Thu Dec 09 2010 Elan Ruusamäe <glen@pld-linux.org> 1c77e95
- static /dev handling

* Thu Dec 09 2010 Elan Ruusamäe <glen@pld-linux.org> 16455ef
- add check ipmitool support

